<?xml version="1.0" encoding="UTF-8"?>

<tableDescriptions type="ST">
  <table name="StackMeta">
    <column name="stackMetaID" type="TLONGLONG" default="0" comment="stack identifier"></column>
    <column name="skycellID" type="TLONG" default="0" comment="skycell region identifier"></column>
    <column name="surveyID" type="TBYTE" default="0" comment="survey flag identifier"></column>
    <column name="photoCalID" type="TLONG" default="0" comment="photometry code numerical id"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="stackTypeID" type="TBYTE" default="0" comment="stack type identifier"></column>
    <column name="refImageID" type="TLONGLONG" default="-999" comment="identifier of image used as reference for analysis"></column>
    <column name="subtrImageID" type="TLONGLONG" default="-999" comment="identifier of image subtracted to generate difference image"></column>
    <column name="magSat" type="TFLOAT" default="-999" comment="saturation magnitude level"></column>
    <column name="analVer" type="TSHORT" default="-999" comment="analysis version index"></column>
    <column name="nP2Images" type="TSHORT" default="-999" comment="number of P2 images contributing to this cell"></column>
    <column name="completMag" type="TFLOAT" default="-999" comment="95% completion level in mag"></column>
    <column name="astroScat" type="TFLOAT" default="-999" comment="astrometric scatter for chip"></column>
    <column name="photoScat" type="TFLOAT" default="-999" comment="photometric scatter for chip"></column>
    <column name="nAstroRef" type="TLONG" default="-999" comment="number of astrometric reference sources"></column>
    <column name="nPhoRef" type="TLONG" default="-999" comment="number of photometric reference sources"></column>
    <column name="psfFwhm" type="TFLOAT" default="-999" comment="PSF full width at half maximum"></column>
    <column name="psfmodelID" type="TSHORT" default="-999" comment="PSF model identifier"></column>
    <column name="psfWidMajor" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfWidMinor" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfTheta" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfExtra1" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfExtra2" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="photoZero" type="TFLOAT" default="-999" comment="local derived photometric zero point"></column>
    <column name="photoColor" type="TFLOAT" default="-999" comment="local derived photometric color term"></column>
    <column name="ctype1" type="TSTRING" default=" " comment="name of astrometric projection in RA"></column>
    <column name="ctype2" type="TSTRING" default=" " comment="name of astrometric projection in DEC"></column>
    <column name="crval1" type="TFLOAT" default="-999" comment="RA corresponding to reference pixel"></column>
    <column name="crval2" type="TFLOAT" default="-999" comment="DEC corresponding to reference pixel"></column>
    <column name="crpix1" type="TFLOAT" default="-999" comment="reference pixel value for RA"></column>
    <column name="crpix2" type="TFLOAT" default="-999" comment="reference pixel value for DEC"></column>
    <column name="pc001001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc001002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="polyOrder" type="TBYTE" default="255" comment="polynomial order of astrometry fit"></column>
    <column name="pca1x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="calibModNum" type="TSHORT" default="0" comment="calibration modification number"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release"></column>
  </table>
  <table name="StackDetection">
    <column name="objID" type="TLONGLONG" default="0" comment="ODM object identifier"></column>
    <column name="stackDetectID" type="TLONGLONG" default="0" comment="ODM detection identifier"></column>
    <column name="ippObjID" type="TLONGLONG" default="0" comment="IPP object identifier"></column>
    <column name="ippDetectID" type="TLONGLONG" default="0" comment="detection ID generated by IPP"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="stackTypeID" type="TBYTE" default="0" comment="stack type identifier"></column>
    <column name="surveyID" type="TBYTE" default="0" comment="survey flag identifier"></column>
    <column name="primaryF" type="TBYTE" default="255" comment="identifies best stack detection for Stacks overlapping the same region of the sky."></column>
    <column name="stackMetaID" type="TLONGLONG" default="0" comment="stack identifier"></column>
    <column name="skyCellID" type="TLONG" default="-999" comment="skycell identifier"></column>
    <column name="projectionCellID" type="TLONG" default="-999" comment="projection cell identifier"></column>
    <column name="stackVer" type="TSHORT" default="-999" comment="version number of this stack"></column>
    <column name="obsTime" type="TFLOAT" default="-999" comment=" Time of mid observation (unit = day)"></column>
    <column name="xPos" type="TFLOAT" default="-999" comment="measured x on CCD from PSF fit"></column>
    <column name="yPos" type="TFLOAT" default="-999" comment="measured y on CCD from PSF fit"></column>
    <column name="xPosErr" type="TFLOAT" default="-999" comment="estimated error in x"></column>
    <column name="yPosErr" type="TFLOAT" default="-999" comment="estimated error in y"></column>
    <column name="instFlux" type="TFLOAT" default="-999" comment="PSF instrumental flux"></column>
    <column name="instFluxErr" type="TFLOAT" default="-999" comment="estimated error in instrumental flux"></column>
    <column name="peakFlux" type="TFLOAT" default="-999" comment="ratio of peak flux to total flux"></column>
    <column name="sky" type="TFLOAT" default="-999" comment="PSF sky level at source (adu)"></column>
    <column name="skyErr" type="TFLOAT" default="-999" comment="estimated error in sky"></column>
    <column name="sgSep" type="TFLOAT" default="-999" comment="star/galaxy separator"></column>
    <column name="psfWidMajor" type="TFLOAT" default="-999" comment="PSF width in major axis"></column>
    <column name="psfWidMinor" type="TFLOAT" default="-999" comment="PSF width in minor axis"></column>
    <column name="psfTheta" type="TFLOAT" default="-999" comment="PSF orientation angle"></column>
    <column name="psfLikelihood" type="TFLOAT" default="-999" comment="PSF likelihood"></column>
    <column name="psfCf" type="TFLOAT" default="-999" comment="PSF coverage factor"></column>
    <column name="infoFlag" type="TLONG" default="-999" comment="indicator of strange propeties"></column>
    <column name="nFrames" type="TLONG" default="-999" comment="number of frames contributing to source"></column>
    <column name="wlSigma" type="TFLOAT" default="-999" comment="weak lensing sigma"></column>
    <column name="eps1" type="TFLOAT" default="-999" comment="weak lensing vector element eps(1)"></column>
    <column name="eps2" type="TFLOAT" default="-999" comment="weak lensing vector element eps(2)"></column>
    <column name="Psm11" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(1,1)"></column>
    <column name="Psm12" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(1,2)"></column>
    <column name="Psm21" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(2,1)"></column>
    <column name="Psm22" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(2,2)"></column>
    <column name="Psh11" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(1,1)"></column>
    <column name="Psh12" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(1,2)"></column>
    <column name="Psh21" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(2,1)"></column>
    <column name="Psh22" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(2,2)"></column>
    <column name="activeFlag" type="TBYTE" default="-999" comment="indicates whether this detection/orphan is still a detection/orphan"></column>
    <column name="assocDate" type="TSTRING" default="28881231" comment="date object association assigned"></column>
    <column name="historyModNum" type="TSHORT" default="0" comment="modification number in the O-D association history"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release when this detection was originally taken."></column>
  </table>
  <table name="SkinnyObject">
    <column name="objID" type="TLONGLONG" default="0" comment="ODM object identifier index"></column>
    <column name="ippObjID" type="TLONGLONG" default="0" comment="IPP object number"></column>
    <column name="projectionCellID" type="TLONG" default="-999" comment="projection cell identifier at discovery time"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release to propagate to the object"></column>
  </table>
  <table name="StackOrphan">
    <column name="partitionKey" type="TLONGLONG" default="0" comment="partitioning key"></column>
    <column name="stackDetectID" type="TLONGLONG" default="0" comment="detection identifier"></column>
    <column name="ippDetectID" type="TLONGLONG" default="0" comment="detection ID generated by IPP"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="stackTypeID" type="TBYTE" default="0" comment="stack type identifier"></column>
    <column name="surveyID" type="TBYTE" default="0" comment="survey identifier"></column>
    <column name="primaryF" type="TBYTE" default="255" comment="identifies best stack detection for Stacks overlapping the same region of the sky."></column>
    <column name="stackMetaID" type="TLONGLONG" default="0" comment="stack identifier"></column>
    <column name="skyCellID" type="TLONG" default="-999" comment="skycell identifier"></column>
    <column name="stackVer" type="TSHORT" default="-999" comment="version number of this stack"></column>
    <column name="xPos" type="TFLOAT" default="-999" comment="measured x on CCD from PSF fit"></column>
    <column name="yPos" type="TFLOAT" default="-999" comment="measured y on CCD from PSF fit"></column>
    <column name="xPosErr" type="TFLOAT" default="-999" comment="estimated error in x"></column>
    <column name="yPosErr" type="TFLOAT" default="-999" comment="estimated error in y"></column>
    <column name="instFlux" type="TFLOAT" default="-999" comment="PSF instrumental flux"></column>
    <column name="instFluxErr" type="TFLOAT" default="-999" comment="estimated error in instrumental flux"></column>
    <column name="peakFlux" type="TFLOAT" default="-999" comment="ratio of peak flux to total flux"></column>
    <column name="sky" type="TFLOAT" default="-999" comment="PSF sky level at source (adu)"></column>
    <column name="skyErr" type="TFLOAT" default="-999" comment="estimated error in sky"></column>
    <column name="sgSep" type="TFLOAT" default="-999" comment="star/galaxy separator"></column>
    <column name="psfWidMajor" type="TFLOAT" default="-999" comment="PSF width in major axis"></column>
    <column name="psfWidMinor" type="TFLOAT" default="-999" comment="PSF width in minor axis"></column>
    <column name="psfTheta" type="TFLOAT" default="-999" comment="PSF orientation angle"></column>
    <column name="psfLikelihood" type="TFLOAT" default="-999" comment="PSF likelihood"></column>
    <column name="psfCf" type="TFLOAT" default="-999" comment="PSF coverage factor"></column>
    <column name="infoFlag" type="TLONG" default="-999" comment="indicator of strange propeties"></column>
    <column name="nFrames" type="TLONG" default="-999" comment="number of frames contributing to source"></column>
    <column name="wlSigma" type="TFLOAT" default="-999" comment="weak lensing sigma"></column>
    <column name="eps1" type="TFLOAT" default="-999" comment="weak lensing vector element eps(1)"></column>
    <column name="eps2" type="TFLOAT" default="-999" comment="weak lensing vector element eps(2)"></column>
    <column name="Psm11" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(1,1)"></column>
    <column name="Psm12" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(1,2)"></column>
    <column name="Psm21" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(2,1)"></column>
    <column name="Psm22" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sm(2,2)"></column>
    <column name="Psh11" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(1,1)"></column>
    <column name="Psh12" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(1,2)"></column>
    <column name="Psh21" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(2,1)"></column>
    <column name="Psh22" type="TFLOAT" default="-999" comment="weak lensing matrix element P_sh(2,2)"></column>
    <column name="activeFlag" type="TBYTE" default="-999" comment="indicates whether this detection/orphan is still a detection/orphan"></column>
    <column name="assocDate" type="TSTRING" default="28881231" comment="date object association assigned"></column>
    <column name="historyModNum" type="TSHORT" default="0" comment="modification number in the O-D association history"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release to reproduce queries through data releases"></column>
  </table>
  <table name="ObjectCalColor">
    <column name="objID" type="TLONGLONG" default="0" comment="ODM object identifier"></column>
    <column name="ippObjID" type="TLONGLONG" default="0" comment="ipp object identifier"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="calColor" type="TFLOAT" default="0" comment=" color adopted for magnitude calculation (unit = mag)"></column>
    <column name="calColorErr" type="TFLOAT" default="0" comment=" error in calibrating color (unit = mag)"></column>
    <column name="calibModNum" type="TSHORT" default="0" comment="calibration modification number"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release when this color calibration was established"></column>
  </table>
</tableDescriptions>
